/*
|--------------------------------------------------------------------------
| Base complementar
|--------------------------------------------------------------------------
*/

.enviar-btn {
    background-color: #529f56;
    border-color: #529f56;
    color: #fff;
}

.enviar-btn:hover {
    background-color: #007bff;
    border-color: #007bff;
    color: #fff;
}

/*
|--------------------------------------------------------------------------
| Utilitários
|--------------------------------------------------------------------------
*/

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.max-wid-1 {
    max-width: 100px !important;
}

.max-wid-2 {
    max-width: 200px !important;
}

.max-wid-3 {
    max-width: 300px !important;
}

.max-wid-4 {
    max-width: 400px !important;
}

.max-wid-5 {
    max-width: 500px !important;
}

.max-wid-6 {
    max-width: 600px !important;
}

.min-wid-1 {
    min-width: 100px !important;
}

.min-wid-2 {
    min-width: 200px !important;
}

.min-wid-3 {
    min-width: 300px !important;
}

.min-wid-4 {
    min-width: 400px !important;
}

.min-wid-5 {
    min-width: 500px !important;
}

.min-wid-6 {
    min-width: 600px !important;
}

/*
|--------------------------------------------------------------------------
| Top Feature
|--------------------------------------------------------------------------
*/

@media (min-width: 991.98px) {
    .top-feature {
        position: relative;
        margin-top: -20px;
        z-index: 1;
    }
}

/*
|--------------------------------------------------------------------------
| Navbar complementar
|--------------------------------------------------------------------------
*/

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}

#last-item a {
    padding: 8px 16px;
    background-color: #0069D9;
    color: #000;
    border-radius: 4px;
}

#last-item a:hover {
    background-color: #ffdb58;
    color: #000;
}

/*
|--------------------------------------------------------------------------
| Page Header
|--------------------------------------------------------------------------
*/

.page-header {
    background:
        linear-gradient(rgba(15, 66, 41, 0.6), rgba(15, 66, 41, 0.6)),
        url(../img/banner/massagem.jpg) center center no-repeat;
    background-size: cover;
}

.page-header-auriculo {
    background:
        linear-gradient(rgba(55, 66, 41, 0.9), rgba(15, 66, 41, 0.8)),
        url(../img/cursos/auriculoterapia.png) center center no-repeat;
    background-size: cover;
}

.page-header-termo {
    background:
        linear-gradient(rgba(15, 66, 41, .6), rgba(15, 66, 41, .6)),
        url(../img/cursos/termografia.png) center center no-repeat;
    background-size: cover;
}

.page-header-bambu {
    background:
        linear-gradient(rgba(15, 66, 41, .4), rgba(15, 66, 41, .6)),
        url(../img/cursos/Bambuterapia.jpg) center center no-repeat;
    background-size: cover;
}

.page-header-btc {
    background:
        linear-gradient(rgba(15, 66, 41, .6), rgba(15, 66, 41, .6)),
        url(../img/cursos/bioquantic_touch_corpo.jpg) center center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item::before {
    color: var(--light);
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-size: 18px;
    color: var(--light);
}

/*
|--------------------------------------------------------------------------
| Portfolio / Fotos
|--------------------------------------------------------------------------
*/

#portfolio-flters {
    display: inline-block;
    background: var(--light);
    padding: 10px 15px;
}

#portfolio-flters li {
    display: inline-block;
    font-weight: 500;
    color: var(--primary);
    cursor: pointer;
    transition: .5s;
    border-bottom: 2px solid transparent;
}

#portfolio-flters li:hover,
#portfolio-flters li.active {
    color: var(--dark);
    border-color: var(--dark);
}

.portfolio-inner {
    position: relative;
    overflow: hidden;
}

.portfolio-inner::before,
.portfolio-inner::after {
    position: absolute;
    content: "";
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(15, 66, 41, .6);
    transition: .5s;
}

.portfolio-inner::after {
    left: auto;
    right: 0;
}

.portfolio-inner:hover::before,
.portfolio-inner:hover::after {
    width: 50%;
}

.portfolio-inner .portfolio-text {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: .5s;
    z-index: 3;
    opacity: 0;
}

.portfolio-inner:hover .portfolio-text {
    transition-delay: .3s;
    opacity: 1;
}

.portfolio-inner .portfolio-text .btn {
    background: var(--light);
    color: var(--primary);
}

.portfolio-inner .portfolio-text .btn:hover {
    background: var(--primary);
    color: var(--light);
}

/*
|--------------------------------------------------------------------------
| Serviços
|--------------------------------------------------------------------------
*/

.service-item {
    position: relative;
    text-align: justify;
}

.service-item .service-img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: -1;
}

.service-item .service-img img {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    object-fit: cover;
    transform: scale(1.2);
    transition: .3s;
    z-index: -1;
}

.service-item .service-text {
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
    transition: .3s;
}

.service-item .service-text h4,
.service-item .service-text p {
    transition: .3s;
}

.service-item .service-text .btn-square {
    width: 100px;
    height: 100px;
    background: transparent;
    transition: .5s;
}

.service-item .service-text .btn {
    width: 100%;
    height: auto;
    display: inline-flex;
    align-items: center;
    color: var(--dark);
    background: var(--light);
    white-space: nowrap;
    overflow: hidden;
    transition: .3s;
}

/*
|--------------------------------------------------------------------------
| Spinner
|--------------------------------------------------------------------------


#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}
*/
/*
|--------------------------------------------------------------------------
| Team
|--------------------------------------------------------------------------
*/

.team-item {
    position: relative;
    overflow: hidden;
}

.team-item .team-text {
    position: absolute;
    width: calc(100% - 45px);
    left: -100%;
    bottom: 45px;
    padding: 1.5rem;
    background: #FFFFFF;
    border-radius: 0 4px 4px 0;
    opacity: 0;
    transition: .5s;
}

.team-item:hover .team-text {
    left: 0;
    opacity: 1;
}

.team-item .team-social .btn {
    background: var(--light);
    color: var(--primary);
}

.team-item .team-social .btn:hover {
    background: var(--primary);
    color: var(--light);
}

.team-item .team-img .team-social {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    z-index: 3;
    opacity: 0;
}

.team-item:hover .team-img .team-social {
    transition-delay: .3s;
    opacity: 1;
}

/*
|--------------------------------------------------------------------------
| Testemunhos
|--------------------------------------------------------------------------
*/

.testimonial-carousel .owl-item img {
    width: 100px;
    height: 100px;
}

.testimonial-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin-right: 15px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary);
    background: var(--light);
    border-radius: 4px;
    font-size: 22px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    color: var(--light);
}

/*
|--------------------------------------------------------------------------
| Footer
|--------------------------------------------------------------------------
*/

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--light);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    color: var(--light);
    background: #072A19;
}

.copyright a {
    color: #FFFFFF;
}

.copyright a:hover {
    color: var(--primary);
}

.back-to-top {
    position: fixed;
    right: 24px;
    bottom: 24px;
    z-index: 999;

    width: 48px;
    height: 48px;

    display: inline-flex !important;
    align-items: center;
    justify-content: center;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transform: translateY(12px);
    transition:
        opacity 0.25s ease,
        visibility 0.25s ease,
        transform 0.25s ease;
}

.back-to-top.show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translateY(0);
}

.back-to-top i {
    line-height: 1;
    font-size: 1.25rem;
}

@media (max-width: 575.98px) {
    .back-to-top {
        right: 16px;
        bottom: 16px;
        width: 42px;
        height: 42px;
    }

    .back-to-top i {
        font-size: 1.1rem;
    }
}

/* Remoção do spinner temporariamente   */
#spinner,
#spinner.show {
    display: none !important;
    opacity: 0 !important;
    visibility: hidden !important;
    pointer-events: none !important;
}